/***********************
        MENU 
***********************/

.main-menu {
	position: relative;
}


.main-menu ul {
	list-style: none;
}




.menu-icon {
	position: relative;
	display: block;
	cursor: pointer;
}



.main-menu-left .menu-icon {
	width: 40px;
	height: 40px;
}
.main-menu-left .menu-icon .line {
	position: absolute;
	display: block;
    height: 1px;
    background: #000;
    transition: all .3s;
    width: 100%;
}
.main-menu-left .menu-icon .line:nth-of-type(1) {
	top: 20%;
}
.main-menu-left .menu-icon .line:nth-of-type(2) {
	top: 50%;
}
.main-menu-left .menu-icon .line:nth-of-type(3) {
	bottom: 20%;
}
.main-menu-left .menu-icon:hover .line:nth-of-type(2),
.main-menu-left .menu-icon:focus .line:nth-of-type(2),
.main-menu-left.active .menu-icon .line:nth-of-type(2) {
    width: 75%;
}






.main-menu-right .menu-icon {
    width: 20px;
	height: 40px;
}
.main-menu-right .menu-icon .line {
	position: absolute;
	left: 50%;
	margin-left: -4px;
    display: block;
    width: 8px;
    height: 8px;
    transition: all .3s;
	border: 1px solid #000;
    border-radius: 50%;
}
.main-menu-right .menu-icon .line:nth-of-type(1) {
	top: 10%;
}
.main-menu-right .menu-icon .line:nth-of-type(2) {
	top: 50%;
	margin-top: -4px;
}
.main-menu-right .menu-icon .line:nth-of-type(3) {
	bottom: 10%;
}
.main-menu-right .menu-icon:hover .line:nth-of-type(2),
.main-menu-right .menu-icon:focus .line:nth-of-type(2),
.main-menu-right.active .menu-icon .line:nth-of-type(2) {
    width: 6px;
    height: 6px;
    margin-top: -3px;
    margin-left: -3px;
}

.main-menu-right .menu-icon.markered .line:nth-of-type(2) {
	background-color: #000;
}






.main-menu .menu-block {
	position: absolute;
    top: calc(100% + 16px);
	z-index: 0;
	width: 320px;
	transition: 200ms ease-in-out;
	background: #FFFFFF;
	box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.25);
	opacity: 0;
	visibility: hidden;
}

.main-menu-left .menu-block {
    left: 0;
}

.main-menu-right .menu-block {
    right: calc(100% - 14px);
}

.main-menu.active .menu-block {
	opacity: 1;
	z-index: 110;
	visibility: visible;
}





/* 1 уровень */
.main-menu .menu-items {
	position: relative;
	padding: 8px 0;
}

.main-menu .menu-items .menu-item {

}
.main-menu .menu-items .menu-item:first-of-type {

}
.main-menu .menu-items .menu-item:last-of-type {

}


.main-menu .menu-items .menu-item a {
	display: block;
	padding: 8px 16px;
	font-weight: 400;
	font-size: 16px;
	line-height: 22px;
	color: #000;
	cursor: pointer;
	text-decoration: none;
}
.main-menu .menu-items .menu-item a:hover,
.main-menu .menu-items .menu-item a.active {
	background-color: #999;
	color: #fff;
	text-decoration: none;
}

.main-menu .menu-items .menu-item a img {
	max-width: 80px;
}


.main-menu .menu-items > .menu-item.markered > a {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.main-menu .menu-items > .menu-item.markered > a::after {
	content: '';
	display: block;
	width: 8px;
    height: 8px;
    background-color: #000;
    border-radius: 50%;
}




/* 2 уровень */
.main-menu .menu-items .menu-item.has-children {}


.main-menu .menu-items .menu-item.has-children .sub-menu {
	position: absolute;
	top: 0;
	z-index: 110;
	width: 320px;
	min-height: 100%;
	margin: 0;
	padding: 8px 0;
	transition: 50ms ease-in-out;
	transition-delay: 50ms;
	visibility: hidden;
	opacity: 0;
	background: #FFFFFF;
	box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.25);
}

.main-menu.main-menu-left .menu-items .menu-item.has-children .sub-menu {
	left: 100%;
}
.main-menu.main-menu-right .menu-items .menu-item.has-children .sub-menu {
	right: 100%;
}

.main-menu .menu-items .menu-item.has-children > .sub-menu {
	visibility: hidden;
	opacity: 0;
}
.main-menu .menu-items .menu-item.has-children:hover > .sub-menu {
	visibility: visible;
	opacity: 1;
}


.main-menu .menu-items .menu-item.has-children .sub-menu .menu-item {}

.main-menu .menu-items .menu-item.has-children .sub-menu .menu-item a {
	display: block;
	padding: 8px 16px;
	font-weight: 400;
	font-size: 16px;
	line-height: 22px;
	color: #000;
	cursor: pointer;
	white-space: nowrap;
}
.main-menu .menu-items .menu-item.has-children .sub-menu .menu-item a:hover,
.main-menu .menu-items .menu-item.has-children .sub-menu .menu-item a.active {
	background-color: #999;
	color: #fff;
}




@media screen and (max-width: 1599px) {



}
@media screen and (max-width: 1399px) {



}
@media screen and (max-width: 1199px) {



}
@media screen and (max-width: 991px) {



}
@media screen and (max-width: 767px) {

	.main-menu-right .menu-icon {
		width: 16px;
		height: 24px;
	}
	.main-menu-right .menu-icon .line {
		width: 6px;
		height: 6px;
	}
	.main-menu-right .menu-icon .line:nth-of-type(1) {
		top: 0;
	}
	.main-menu-right .menu-icon .line:nth-of-type(2) {
		margin-top: -3px;
	}
	.main-menu-right .menu-icon .line:nth-of-type(3) {
		bottom: 0;
	}

	.main-menu-right .menu-icon:hover .line:nth-of-type(2),
	.main-menu-right .menu-icon:focus .line:nth-of-type(2),
	.main-menu-right.active .menu-icon .line:nth-of-type(2) {
		margin-left: -4px;
	}

}
@media screen and (max-width: 575px) {



}

















.main-mobile-menu {}
.main-mobile-menu .menu-icon {
	font-size: 36px;
    line-height: 32px;
	color: #000;
	cursor: pointer;
}






.main-mobile-menu-nav .mm-listitem.markered .link {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.main-mobile-menu-nav .mm-panel:not([data-mm-parent]) .mm-listitem.markered .link::after {
	content: '';
	display: block;
	width: 8px;
    height: 8px;
    background-color: #000;
    border-radius: 50%;
}





@media screen and (max-width: 1599px) {



}
@media screen and (max-width: 1399px) {



}
@media screen and (max-width: 1199px) {



}
@media screen and (max-width: 991px) {



}
@media screen and (max-width: 767px) {

	.main-menu-left .menu-icon {
		width: 24px;
		height: 32px;
	}

}
@media screen and (max-width: 575px) {



}